{ pkgs, ... }:
{
  services = {
    matrix-synapse = {
      enable = true;
      settings = {
        server_name = "synapse.schrottkatze.de";
      };
    };
    postgresql = {
      enable = true;
      initialScript = pkgs.writeText "synapse-init.sql" ''
        CREATE ROLE "matrix-synapse";
        CREATE DATABASE "matrix-synapse" WITH OWNER "matrix-synapse"
          TEMPLATE template0
          LC_COLLATE = "C"
          LC_CTYPE = "C";
      '';

      #initdbArgs = [
        #"--locale=C"
        #"--encoding=UTF8"
      #];
      ensureDatabases = [ "matrix-synapse" ];
      ensureUsers = [
        { 
          name = "matrix-synapse";
          ensurePermissions."DATABASE \"matrix-synapse\"" = "ALL PRIVILEGES";
        }
      ];
    };
  };
}
