{ pkgs, ... }:
{
  services.vaultwarden = {
    enable = true;
    #backupDir = "/vw-backups";
    config = {
      DATA_FOLDER = "/var/lib/bitwarden_rs/";
      DATABASE_URL = "/var/lib/bitwarden_rs/db.sqlite3";
      LOG_FILE = "/var/log/bitwarden";
      WEBSOCKET_ENABLED = true;
      WEBSOCKET_ADDRESS = "0.0.0.0";
      WEBSOCKET_PORT = 3012;
      SIGNUPS_VERIFY = true;
      ROCKET_LOG = "debug";
      ENABLE_WAL = false;
      ADMIN_TOKEN = builtins.readFile ../../secret-data/vaultwarden-admin-token;
      DOMAIN = "https://vw.schrottkatze.de";
      SMTP_TIMEOUT = 15;
      ROCKET_PORT = 8812;
    };
  };
}
